---
id: im4p
title: im4p
hide_title: true
hide_table_of_contents: true
sidebar_label: im4p
description: IM4P payload operations
---
## ipsw img4 im4p

IM4P payload operations

```
ipsw img4 im4p [flags]
```

### Options

```
  -h, --help   help for im4p
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw img4](/docs/cli/ipsw/img4)	 - Parse and manipulate IMG4 files
* [ipsw img4 im4p create](/docs/cli/ipsw/img4/im4p/create)	 - Create IM4P payload from raw data
* [ipsw img4 im4p extract](/docs/cli/ipsw/img4/im4p/extract)	 - Extract IM4P data
* [ipsw img4 im4p info](/docs/cli/ipsw/img4/im4p/info)	 - Display detailed IM4P information

